Registration
/register-full/
Method: POST Max Expected Response Time: 60 seconds Max Request Size: 10 MB
Header
Accept
application/json
Yes
Authorization
Bearer
Yes
Request Body
lat
string
Yes
Latitude.
long
string
Yes
Longitude.
tipe
string
Yes
1 for personal or 2 for business.
tipe_b
string
Yes (tipe = 2)
cv/firma, pt/yayasan/koperasi, or lainnya.
lainnya
string
Yes (tipe\_b = lainnya)
Other organization type.
referral_code
string
Yes
Referral code.
acquired_by
string
No
Acquisition partner code or merchant aggregator code.
merchant_name
string
Yes
Merchant name.
merchant_criteria
string
Yes
Merchant criteria: UMI, UKE, UME, URE, UBE, BLU, PSO.
instagram_u
string
No
Instagram username.
website_u
string
No
Website address.
facebook_u
string
No
Facebook username.
lainnya_u
string
No
Other social media account.
jumlah_outlet
string
Yes
Number of terminals.
open_hour
string
Yes
Merchant opening hour.
close_hour
string
Yes
Merchant closing hour.
merchant_address
string
Yes
Merchant address.
rt_merchant
string
Yes
RT of the business location.
rw_merchant
string
Yes
RW of the business location.
pic_name
string
Yes
PIC name.
ktp_number
string
Yes
PIC KTP number.
npwp_number
string
Yes
PIC NPWP number.
kk_number
string
Yes
PIC family card number.
phone_number
string
Yes
PIC phone number.
string
Yes
PIC email.
pic_address
string
Yes
PIC address.
rt_pic
string
Yes
RT of the PIC location.
rw_pic
string
Yes
RW of the PIC location.
bank_number
string
Yes
Bank account number for settlement.
bank_name
string
Yes
Bank account holder name.
cabang_bank
string
Yes
Bank branch.
manual_settlement
bool
No (default false)
true or false.
ktp_image
string
Yes
Base64 string or URL for the KTP image.
npwp_image
string
Yes
Base64 string or URL for the NPWP image.
cover_buku_tabungan_image
string
Yes
Base64 string or URL for the bank book cover image.
lokasi_usaha_image
string
Yes
Base64 string or URL for the business location image.
website_image
string
Yes
Base64 string or URL for the business website or social media image.
kk_image
string
Yes
Base64 string or URL for the family card scan or photo.
akta_pendirian_image
string
Yes (tipe = 2, tipe\_b = cv/firma or pt/yayasan/koperasi)
Base64 string or URL for the business deed of establishment document.
akta_perubahan_image
string
Yes (tipe = 2, tipe\_b = cv/firma or pt/yayasan/koperasi)
Base64 string or URL for the amended articles of association document.
keterangan_terdaftar_image
string
Yes (tipe = 2, tipe\_b = cv/firma or pt/yayasan/koperasi)
Base64 string or URL for the tax registration certificate document.
identitas_persero_image
string
Yes (tipe = 2, tipe\_b = cv/firma)
Base64 string or URL for the active partner identity document.
domisili_image
string
Yes (tipe = 2)
Base64 string or URL for the domicile certificate document.
nib_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the business identification number document.
siup_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the business license document.
wakil_hukum_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the legal representative identity document.
kuasa_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the power of attorney document.
kuasa_identitas_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the authorized recipient identity document.
akta_anggaran_image
string
Yes (tipe = 2, tipe\_b = pt/yayasan/koperasi)
Base64 string or URL for the articles of association document.
struktur_organisasi_image
string
Yes (tipe = 2, tipe\_b = lainnya)
Base64 string or URL for the organization structure document.
penetapan_tugas_image
string
Yes (tipe = 2, tipe\_b = lainnya)
Base64 string or URL for the duty assignment document.
Response Body
merchant_id
string
Merchant ID.
message
string
Response message.
Registration status callback
Sent to the partner when the merchant registration or status changes.
Request Body
merchant_id
string
Merchant ID.
nmid
string
National Merchant ID.
status
int
1 = in process / waiting for PTEN, 2 = approved / active, 3 = rejected / blocked, 5 = caring, 6 = revision, 7 = hold settlement.
notes
string
Notes related to the status.
rc
string
Response code.
message
string
Response message.
POST /register-full/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1601
{
"phone_number": "085719413665",
"email": "coba@gmail.com",
"lat": "-6.3577875",
"long": "106.8213955",
"tipe": "",
"tipe_b": "pt/yayasan/koperasi",
"lainnya": "",
"referral_code": "",
"acquired_by": "finpay",
"merchant_name": "Zio Store",
"merchant_criteria": "UMI",
"merchant_category": "9311",
"instagram_u": "@zio",
"website_u": "www.zio.com",
"facebook_u": "Zio Store",
"lainnya_u": "",
"jumlah_outlet": 1,
"open_hour": "07:00",
"close_hour": "19:00",
"merchant_address": "Jl. Cobacoba",
"rt_merchant": "01",
"rw_merchant": "11",
"province": "Jakarta",
"city": "Jakarta timur",
"district": "Jatinegara",
"village": "Bidaracina",
"postal_code": "13330",
"pic_name": "Zio",
"ktp_number": "012345678901234",
"npwp_number": "1234567890",
"kk_number": "012345678901234",
"pic_address": "Jl. Cobacoba",
"rt_pic": "01",
"rw_pic": "11",
"pic_province": "Jakarta",
"pic_city": "Jakarta timur",
"pic_district": "Jatinegara",
"pic_village": "Bidaracina",
"pic_postal_code": "13330",
"bank": "bsi",
"bank_number": "451",
"bank_name": "Syariah Indonesia",
"cabang_bank": "Hasanudin",
"manual_settlement": false,
"ktp_image": "(base64)",
"npwp_image": "(base64)",
"cover_buku_tabungan_image": "(base64)",
"lokasi_usaha_image": "(base64)",
"website_image": "(base64)",
"kk_image": "(base64)",
"akta_pendirian_image": "(base64)",
"akta_perubahan_image": "(base64)",
"keterangan_terdaftar_image": "(base64)",
"identitas_persero_image": "(base64)",
"domisili_image": "(base64)",
"nib_image": "(base64)",
"siup_image": "(base64)",
"wakil_hukum_image": "(base64)",
"kuasa_image": "(base64)",
"kuasa_identitas_image": "(base64)",
"akta_anggaran_image": "(base64)",
"struktur_organisasi_image": "(base64)",
"penetapan_tugas_image": "(base64)"
}{
"merchant_id": "FM2604050001",
"rc": "00",
"message": "Success"
}Last updated

